import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/webhooks/index.ts
function createWebhookEndpointsResource(instanceId, client) {
  return {
    list() {
      return client.get(`/instances/${instanceId}/webhook-endpoints`);
    },
    create(_a) {
      var data = __objRest(_a, []);
      return client.post(`/instances/${instanceId}/webhook-endpoints`, data);
    },
    delete(id) {
      return client.delete(`/instances/${instanceId}/webhook-endpoints/${id}`);
    },
    getSecret(id) {
      return client.get(`/instances/${instanceId}/webhook-endpoints/${id}/secret`);
    },
    getPortalAccessUrl() {
      return client.get(`/instances/${instanceId}/webhook-endpoints/portal-access`);
    }
  };
}
var init_webhooks = __esm({
  "src/resources/webhooks/index.ts"() {
  }
});

export {
  createWebhookEndpointsResource,
  init_webhooks
};
